Bug 996431 - glusterfs-geo-replication rpms missing upgrade scripts
glusterfs-geo-replication rpms missing upgrade scripts
Status: CLOSED ERRATA
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: build (Show other bugs)
2.1
Unspecified Unspecified
urgent Severity high
: ---
: ---
Assigned To: Amar Tumballi
M S Vishwanath Bhat
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-13 03:28 EDT by Amar Tumballi
Modified: 2016-05-31 21:56 EDT (History)
5 users (show)

See Also:
Fixed In Version: glusterfs-3.4.0.20rhs-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-23 18:29:55 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Amar Tumballi 2013-08-13 03:28:52 EDT
Description of problem:

There is a requirement to upgrade the 'slave' volume's gfid (glusterfs inode numbers) for geo-replication to work properly, if a setup has previously existing geo-replication setup (using RHS2.0)

The scripts which are provided/developed for supporting this migration are not part of the glusterfs-geo-replication RPMs.

Version-Release number of selected component (if applicable):
glusterfs-3.4.0.18rhs-1

How reproducible:
Always

Steps to Reproduce:
1. rpm -q --file glusterfs-geo-replication

This should have upgrade scripts.

The upgrade method is described as 

Steps to be followed for upgrade procedure:

-> On one of the Master Node:

    master # cd /usr/share/glusterfs/scripts/
    master # sh generate-gfid-file.sh localhost:${master-vol} $PWD/get-gfid.sh /tmp/upgrade-gfid-values.txt
    master # scp /tmp/upgrade-gfid-values.txt root@${slavehost}:/tmp/

-> On Slave Node:

    slave # cd /usr/share/glusterfs/scripts/
    slave # sh ./slave-upgrade.sh localhost:${slave-vol} /tmp/upgrade-gfid-values.txt $PWD/gsync-sync-gfid

    NOTE: This may ask for password of all the machines where there are bricks (if passwdless ssh is not setup)
Actual results:
Comment 2 Amar Tumballi 2013-08-14 07:26:26 EDT
Looks like due to this, we have broken the build in RHEL_5. Will need one more fix https://code.engineering.redhat.com/gerrit/#/c/11419/ in to fix this.
Comment 3 M S Vishwanath Bhat 2013-08-14 11:56:10 EDT
These files are present in /usr/share/glusterfs/scripts. But those .sh files not have executable bit set. We can run them as sh/bash. But do we need to set the executable mode?
Comment 4 M S Vishwanath Bhat 2013-08-16 11:37:07 EDT
These files are present in the rpms now


#rpm -qlp glusterfs-geo-rep*.rpm

/usr/share/glusterfs/scripts/generate-gfid-file.sh
/usr/share/glusterfs/scripts/get-gfid.sh
/usr/share/glusterfs/scripts/gsync-sync-gfid
/usr/share/glusterfs/scripts/gsync-upgrade.sh
/usr/share/glusterfs/scripts/slave-upgrade.sh
/var/lib/glusterd/hooks/1/gsync-create/post/S56glusterd-geo-rep-create-post.sh



[root@spitfire ]# ls  /usr/share/glusterfs/scripts/
generate-gfid-file.sh  get-gfid.sh  gsync-sync-gfid  gsync-upgrade.sh  slave-upgrade.sh
Comment 5 Scott Haines 2013-09-23 18:29:55 EDT
Since the problem described in this bug report should be resolved in a recent advisory, it has been closed with a resolution of ERRATA. 

For information on the advisory, and where to find the updated files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2013-1262.html

Note You need to log in before you can comment on or make changes to this bug.